[Plugin] Mirror
-
As Gai explained... the built in 'Flip' mirrors around the model's axes.
This is also similar to using Scale with '-1', where the 'mirroring' is limited to three directions too.
The Mirror tool allows you to mirror around a point, line or plane depending whether you pick 1, 2 or 3 points.
The most usual is around the plane from 3 points - that way you can Mirror about any plane, not just the axial planes and the mirrored version is related to the plane in the reverse manner to the original selection. To do it with Flip/Scale would involve one or more Rotate steps too.
The other benefit of Mirror is that [like CAD tools] on completion of the mirroring you can choose to keep or delete the original selection - useful when modeling in symmetrical parts etc as the 'copy' part is built-in for you... -
@tig said:
The other benefit of Mirror is that [like CAD tools] on completion of the mirroring you can choose to keep or delete the original selection - useful when modeling in symmetrical parts etc as the 'copy' part is built-in for you...
Although this is not hard with the native tools either;
- Copy the "to-be-mirrored" entity
- Do the mirroring (flip or scale)
- Paste in place the original entity
-
But awkward with non-axial flips...
-
I think it's got to be the sado-masochistic mathematician in me! (incidentally, my old man is a Cambridge-educated topologist! ) I like that "now how can I do this without a plugin?". Sounds good Tig. Thanks for the reply. I'll try and get round to having a go with this tool some time in the not too distant future.
Meanwhile, I have a table to build!
Tom
-
@tig said:
But awkward with non-axial flips...
Yes. Do-able, but I can see that it would only be possible if one was good at remembering strings of numbers, repetitions and angles?
Plugins are best then?
-
@tfdesign said:
@tig said:
But awkward with non-axial flips...
Yes. Do-able, but I can see that it would only be possible if one was good at remembering strings of numbers, repetitions and angles?
Plugins are best then?
you can do it without knowing any angles etc. but it's a pita.. this video makes it look easier than it really is because i didn't include the 5-10 minutes i spent figuring out the right moves (and have spent that same 5-10 minutes multiple times doing this in real drawings).. mirror.rb is a blessing
[flash=660,405:37jyqytp]http://www.youtube.com/v/Fsr9X4yir2Y?fs=1&hl=en_US&rel=0&color1=0x2b405b&color2=0x6b8ab6&border=1[/flash:37jyqytp]
-
Change in SU 7. Place axis then scale??
-
TIG,
Thanks very much for the outline closer!!!!!! I can use this code in some of mine scripts.
regards,
Guy
-
Hello!
Mirror is one of the plugins i use most, but with SU8, the plugin Mirror 3.3 don't work for me. I use SU 8 spanish on Mac OSX Snow Leopard, one message appears in Console window, with SU7 and Mirror 3.1 the plugin worked fine.
This is the Error:
I hope you that you help me,
Thanks! -
@diego-rodriguez said:
this is the error.
I use
windows xp sp3, in Spanish. sketchup sketchup 8 in Spanish and 7 in Spanish
in the two versions generated BugSplats.the image is made with sketchup 8.
although sketchup 7, BugSplats generates but does not generate error reporting in the console ruby[attachment=1:3ncjb9nt]<!-- ia1 -->file without zoom.gif<!-- ia1 -->[/attachment:3ncjb9nt]
[attachment=0:3ncjb9nt]<!-- ia0 -->mirror 01.jpg<!-- ia0 -->[/attachment:3ncjb9nt]Hi !
A little off topic but how did you do that animated gif ? It's looking good !
Nicolas
-
sents=[] ss.each{|e|sents.push(e)} copy_group=Sketchup.active_model.active_entities.add_group(sents) group_miner(copy_group.entities)###v3.1 new_group=copy_group.copy group_miner(new_group.entities)###v3.1 ...
The last line is #266.
It seems that there is nothing in the selection to copy... BUT if there is nothing then an earlier part of the code should trap it with an error, starting at line #109def activate ###Sketchup.send_action("showRubyPanel;") self.reset() ss=Sketchup.active_model.selection if ss.empty? Sketchup;;set_status_text("Mirror; NO Selection !")### UI.messagebox("Select Something BEFORE Using the Mirror Tool.")###v2.8 Sketchup.send_action("selectSelectionTool;") return nil end ...
Have you messed up the code with the translation ?
-
@tig said:
sents=[] > ss.each{|e|sents.push(e)} > copy_group=Sketchup.active_model.active_entities.add_group(sents) > group_miner(copy_group.entities)###v3.1 > new_group=copy_group.copy > group_miner(new_group.entities)###v3.1 > ... >
The last line is #266.
It seems that there is nothing in the selection to copy... BUT if there is nothing then an earlier part of the code should trap it with an error, staring at line #109
> def activate > ###Sketchup.send_action("showRubyPanel;") > self.reset() > ss=Sketchup.active_model.selection > if ss.empty? > Sketchup;;set_status_text("Mirror; NO Selection !")### > UI.messagebox("Select Something BEFORE Using the Mirror Tool.")###v2.8 > Sketchup.send_action("selectSelectionTool;") > return nil > end > ... >
Have you messed up the code with the translation ?
I haven't done changes in the code only i have translated the UI.messagebox and the text of the popups windows, i have probe with the mirror 3.3 original version (english) and don't works too.
I don't know if there is a conflict with others plugins. -
Can you try it with the 'Ruby Console' open and post all error messages...
This is a puzzle... -
I have found the error!
There is a conflict with SketchyPhisics 3.1, remember i work on Mac OSX.
Excuse me, it not was a problem in the plugin there were a conflict.
Thanks TIG‘‘ -
It's no problem for me! Now it's no problem for you!
Β‘No hay problema para mΓ! Β‘Ahora no es problema para ti! -
@oxer said:
I have found the error!
There is a conflict with SketchyPhisics 3.1, remember i work on Mac OSX.
Excuse me, it not was a problem in the plugin there were a conflict.
Thanks TIG‘‘i use windows XP SP3, and i noticed also a conflict between Mirror and Sketchyphysics3
too bad, we'll have to choose between 2 excellent plugins...
-
@oxer said:
I have found the error!
There is a conflict with SketchyPhisics 3.1, remember i work on Mac OSX.
Excuse me, it not was a problem in the plugin there were a conflict.
Thanks TIG‘‘Is there a solution to solve this conflict?
-
Here's v3.4 with some more code tweaks that might stop bugs...
http://forums.sketchucation.com/viewtopic.php?p=276512#p276512 -
TIG
I know this is an operator error. I have noticed if you press the delete key instead of the return, the plugin crashes. Is there a way to capture the delete key so it will not crash Sketchup.
Yes, I know I should be more careful.
Thank you for your plugin
Ken
-
tig thanks for this new update.
but unfortunately continues to generate bugplat when ouliner window this open, and make mirror for a group or component.use sketchup 8, windows xp sp3
Advertisement